class FlickrPhoto
  
  attr_accessor :id, :farm_id, :server_id, :secret, :title, :description, :primary

  def small_square()
    return build_photo_url(@farm_id,@server_id,@id,@secret).gsub(".jpg","") + "_s" + ".jpg"
  end
  
  def large_square()
    return build_photo_url(@farm_id,@server_id,@id,@secret).gsub(".jpg","") + "_q" + ".jpg"
  end  

  def thumbnail()
    return build_photo_url(@farm_id,@server_id,@id,@secret).gsub(".jpg","") + "_t" + ".jpg"
  end
  
  # 240 px
  def small()
    return build_photo_url(@farm_id,@server_id,@id,@secret).gsub(".jpg","") + "_m" + ".jpg"
  end
  
  # 640 px
  def medium()
    return build_photo_url(@farm_id,@server_id,@id,@secret).gsub(".jpg","") + "_z" + ".jpg"
  end  
  
  def large()
    return build_photo_url(@farm_id,@server_id,@id,@secret).gsub(".jpg","") + "_b" + ".jpg"
  end

  
  def original()
    return build_photo_url(@farm_id,@server_id,@id,@secret).gsub(".jpg","") + "_o" + ".jpg"
  end  
  
private 
  
  def build_photo_url(farm_id,server_id,photo_id,secret)
    return "http://farm#{farm_id}.static.flickr.com/#{server_id}/#{photo_id}_#{secret}.jpg"
  end
  
end